package com.base.scanqrclear.bean

import com.base.scanqrclear.bean.FunctionUIBean.Companion.KEY_X

data class XUIBean(
    val username: String? = null,
    val url: String? = null
) : ScanBean(KEY_X) {

    companion object {

        //  twitter://user?screen_name=koko
        fun XUIBean.createXUsernameQrString(): String {
            return "twitter://user?screen_name=$username"
        }


        //   twitter://user?screen_name=www.baidu.com
        fun XUIBean.createXUrlQrString(): String {
            return "twitter://user?screen_name=$url"
        }

    }
}
